include(FetchContent)

if(NOT DEFINED PUGIXML_REPO)
    set(PUGIXML_REPO https://github.com/zeux/pugixml.git)
endif ()

FetchContent_Declare(
        pugixml
        EXCLUDE_FROM_ALL
        GIT_REPOSITORY ${PUGIXML_REPO}
        GIT_TAG 4bc14418d12d289dd9978fdce9490a45deeb653e
        GIT_SHALLOW FALSE
)
set(BUILD_SHARED_LIBS OFF CACHE BOOL "" FORCE)
set(PUGIXML_BUILD_TESTS OFF CACHE BOOL "" FORCE)
FetchContent_MakeAvailable(pugixml)